﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Data.Services.Client;
using System.Xml.Linq;
using Telerik.Windows.Controls.GridView;
using System.Collections;
using Telerik.Windows.Controls;
using System.Windows.Threading;

namespace SilverlightApplication1
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
            RadGridView1.ItemsSource = GetCustomers(XDocument.Load("TelerikProducts.xml"));
        }

        protected IEnumerable<Product> GetCustomers(XDocument document)
        {
            var query = from c in document.Descendants("Product")
                        select new Product((int)c.Element("ID"),
                            (string)c.Element("Name"),
                            (string)c.Element("Url"),
                            (string)c.Element("Description")
                        );

            return query;
        }
    }

    public class Product
    {
        public Product(int ID, string Name, string Url, string Description)
        {
            this.ID = ID;
            this.Name = Name;
            this.Url = Url;
            this.Description = Description;
        }

        public int ID { get; set; }
        public string Name { get; set; }
        public string Description { get; set; }
        public string Url { get; set; }
    }
}
